package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TtUserActiveRpcDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 游戏 id
     */
    private Long gameId;
    /**
     * 小游戏 appId
     */
    private String wechatAppId;
    /**
     * 小游戏 openId
     */
    private String wechatOpenId;
    /**
     * 小游戏 unionId
     */
    private String wechatUnionId;
    /**
     * 微信小游戏上报组件
     */
    private TtAccountRpcDTO accountReport;
    /**
     * 渠道标识
     */
    private String agentKey;
    /**
     * 头条广告进入小游戏时的 clue_token
     */
    private String clueToken;
    /**
     * 头条 2.0：项目 id
     */
    private Long projectId;
    /**
     * 头条 2.0：广告 id
     */
    private Long promotionId;
    /**
     * 广告账号 id
     */
    private Long advertiserId;
    /**
     * 请求下发的id。如果广告主在计划创编时填写第三方监控链接，可请求获取request_id和其他需要的参数（如IMEI、IDFA、OS等，具体参考文档监测链接发送服务），然后与path下发的req_id进行映射。
     */
    private String reqId;
    /**
     * 激活/注册时间
     */
    private LocalDateTime activeTime;
}
