package com.zanxiang.game.data.serve.pojo.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;


import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/4
 * @Description 整体概况前端查询参数实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OverallSummaryDTO {

    /**
     * 筛选起始时间：给统计数据展示折线图时使用
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "筛选起始时间")
    private LocalDate beginDate;

    /**
     * 筛选结束时间：给统计数据展示折线图时使用
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "筛选结束时间")
    private LocalDate endDate;

    /**
     * 渠道ID
     */
    @ApiModelProperty(value = "推广渠道")
    private Long[] agentId;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "推广游戏")
    private Long gameId;

    /**
     * 投手ID
     */
    @ApiModelProperty(value = "投手")
    private Long pitcherId;

    /**
     * 广告账户ID
     */
    @ApiModelProperty(value = "推广账号")
    private Long accountId;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

}
