package com.zanxiang.game.data.serve.pojo.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 每日流水贡献
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsEverydayWater.TABLE_NAME)
@PK({"dt", "gameId", "sourceSystem","userOrderBy"})
public class AdsEverydayWater implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_everyday_water";

    /**
     * 日期
     */
    private LocalDate dt;

    private String sourceSystem;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 玩家模板排序
     */
    private String userOrderBy;

    /**
     * 游戏名称
     */
    @Column
    private String gameName;

    /**
     * 游戏类别
     */
    @Column
    private String gameClassify;

    /**
     * 充值模板排序
     */
    @Column
    private String amountOrderBy;

    /**
     * 充值金额总
     */
    @Column
    private BigDecimal amount;

    /**
     * 买量金额
     */
    @Column
    private BigDecimal buyAmount;

    /**
     * 自然量充值金额
     */
    @Column
    private BigDecimal natureAmount;

    /**
     * 充值挡位
     */
    @Column
    private BigDecimal amountPost;

    /**
     * 充值次数
     */
    @Column
    private Long amountCount;

    /**
     * 充值人数
     */
    @Column
    private Long amountNum;

    /**
     * 用户ID
     */
    @Column
    private Long userId;

    /**
     * 用户名称
     */
    @Column
    private String userName;

    /**
     * 用户充值金额
     */
    @Column
    private BigDecimal userAmount;

    /**
     * 用户充值占比
     */
    @Column
    private BigDecimal proportion;

    @Column
    private String roleName;

    @Column
    private String serverName;


}
