package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class AdsOrderDetailVO {

    @ApiModelProperty(notes = "订单创建日期")
    private LocalDate day;

    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;

    @ApiModelProperty(notes = "订单号")
    private String orderId;

    @ApiModelProperty(notes = "CP订单")
    private String cpOrderId;

    @ApiModelProperty(notes = "CP名称")
    private String cpName;

    /**
     * CP通知状态，1为待处理，2为成功，-1为失败
     */
    @ApiModelProperty(notes = "CP通知状态，1为待处理，2为成功，-1为失败")
    private String cpStatus;

    @ApiModelProperty(notes = "第三方支付订单号")
    private String merchantOrderNo;

    @ApiModelProperty(notes = "游戏玩家ID")
    private String gameUserId;

    @ApiModelProperty(notes = "用户名")
    private String username;

    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime regTime;

    @ApiModelProperty(notes = "注册渠道ID")
    private String agentId;

    @ApiModelProperty(notes = "注册渠道名称")
    private String agentName;

    @ApiModelProperty(notes = "父游戏ID")
    private String parentId;

    @ApiModelProperty(notes = "父游戏名称")
    private String parentGameName;

    @ApiModelProperty(notes = "注册游戏ID")
    private String gameId;

    @ApiModelProperty(notes = "gameName")
    private String gameName;

    @ApiModelProperty(notes = "注册游戏类别,3开头为android 4 开头为IOS 5 开头为H5 6开头为小程序 对应于game_class中的ID")
    private String classify;

    @ApiModelProperty(notes = "投手名称")
    private String zxPitcherName;

    @ApiModelProperty(notes = "投手ID")
    private String zxPitcherId;

    @ApiModelProperty(notes = "广告账号")
    private String accountId;

    @ApiModelProperty(notes = "推广媒体")
    private String accountType;

    @ApiModelProperty(notes = "广告id")
    private String adId;

    @ApiModelProperty(notes = "充值渠道ID")
    private String orderAgentId;

    @ApiModelProperty(notes = "充值渠道名称")
    private String orderAgentName;

    @ApiModelProperty(notes = "充值游戏ID")
    private String orderGameId;

    @ApiModelProperty(notes = "充值游戏名称")
    private String orderGameName;

    @ApiModelProperty(notes = "充值游戏类型")
    private String orderGameClassify;

    @ApiModelProperty(notes = "游戏商品id(产品Id)")
    private String productId;

    @ApiModelProperty(notes = "游戏商品名称")
    private String productName;

    @ApiModelProperty(notes = "货物总价")
    private BigDecimal amount;

    @ApiModelProperty(notes = "实际支付金额")
    private BigDecimal realAmount;

    @ApiModelProperty(notes = "支付方式名称")
    private String payway;

    @ApiModelProperty(notes = "支付场景：支付类型, 1:PC, 2: h5支付, 3: App支付, 4: 小程序支付, 5: 米大师支付")
    private String payScene;

    @ApiModelProperty(notes = "收款账户")
    private String payAccountId;

    @ApiModelProperty(notes = "服务器id")
    private String serverId;

    @ApiModelProperty(notes = "服务器名称")
    private String serverName;

    @ApiModelProperty(notes = "角色id")
    private String roleId;

    @ApiModelProperty(notes = "角色名称")
    private String roleName;

    @ApiModelProperty(notes = "等级")
    private String roleLevel;

    @ApiModelProperty(notes = "vip等级")
    private String roleVip;

    @ApiModelProperty(notes = "操作系统")
    private String os;

    @ApiModelProperty(notes = "是否切换")
    private String orderIsSwitch;

    @ApiModelProperty(notes = "订单充值时间")
    private LocalDateTime orderCreateTime;

    @ApiModelProperty(notes = "支付时间")
    private String payTime;

    @ApiModelProperty(notes = "支付状态，1为待处理，2为成功，3为失败")
    private String orderStatus;

    @ApiModelProperty(notes = "是否首充：1是,0否")
    private String isFirstRecharge;

    /**
     * cp最后通知时间
     */
    @ApiModelProperty(notes = "cp最后通知时间")
    private LocalDateTime lastCpNotifyTime;

    @ApiModelProperty(notes = "原始服务器名")
    private String sourceServerName;

    @ApiModelProperty(notes = "注册充值时间差（秒）")
    private Long regUntilPay;

    @ApiModelProperty(notes = "最近充值时间距今（秒）")
    private Long payUntilNow;

    /**
     * 计划ID
     */
    @ApiModelProperty(notes = "计划ID")
    private String promotionId;

    /**
     * 广告ID
     */
    @ApiModelProperty(notes = "广告ID")
    private String projectId;

    /**
     * 收款账户名
     */
    @ApiModelProperty(notes = "收款账户名")
    private String merchantName;

    /**
     * 角色累计充值金额
     */
    @ApiModelProperty(notes = "角色累计充值金额")
    private BigDecimal roleTotalAmount;

    /**
     * 角色累计充值次数
     */
    @ApiModelProperty(notes = "角色累计充值次数")
    private Long roleTotalAmountCount;

    /**
     * 回传状态
     */
    @ApiModelProperty(notes = "回传状态: -1 - 回传失败; 0 - 未回传; 1 - 回传成功; 2 - 无回传数据")
    private Integer backStatus;

    /**
     * 回传金额
     */
    @ApiModelProperty(notes = "回传金额")
    private Long backMoney;

    /**
     * 回传信息
     */
    @ApiModelProperty(notes = "回传信息")
    private String backMsg;

    /**
     * 回传表名
     */
    @ApiModelProperty(notes = "回传表名")
    private String backTableName;

    /**
     * 回传所需id
     */
    @ApiModelProperty(notes = "回传所需id")
    private Long backId;

    /**
     * 角色注册7日内订单数
     */
    @ApiModelProperty(notes = "角色注册7日内订单数")
    private Long roleOrder7DayTotal;

}
