package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 返回给前端的游戏总数据实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataH5VO {
    /**
     * ID
     */
    private String id;

    /**
     * 游戏ID
     */
    @ApiModelProperty("游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty("游戏名称")
    private String gameName;

    /**
     * 游戏来源
     */
    @ApiModelProperty("游戏来源")
    private String sourceSystem;

    @ApiModelProperty("H5游戏新用户充值金额")
    private BigDecimal h5NewUserRechargeMoney;

    @ApiModelProperty("H5游戏新用户充值人数")
    private Long h5NewUserRechargeNum;

    /**
     * H5游戏至今充值金额（买量）
     */
    @ApiModelProperty("可排序：H5游戏至今充值金额（买量）")
    private BigDecimal h5BuyNewUserTotalAmount;

    /**
     * H5游戏至今充值人数（买量）
     */
    @ApiModelProperty("可排序：H5游戏至今充值人数（买量）")
    private Long h5BuyNewUserTotalAmountNum;

    /**
     * H5游戏账面充值金额（买量）
     */
    @ApiModelProperty("H5游戏账面充值金额（买量）")
    private BigDecimal h5BuyAmount;

    /**
     * H5游戏账面充值人数（买量）
     */
    @ApiModelProperty("H5游戏账面充值人数（买量）")
    private Long h5BuyAmountNum;

    @ApiModelProperty("H5自然量新用户充值金额（自然量）")
    private BigDecimal h5NewUserNatureRechargeMoney;

    @ApiModelProperty("H5自然量新用户充额比例（自然量）=H5自然量新用户充值金额/H5游戏新用户充值金额")
    private BigDecimal h5NewUserNatureRechargeRate;

    @ApiModelProperty("H5自然量新用户充值人数（自然量）")
    private Long h5NewUserNatureRechargeNum;

    @ApiModelProperty("H5自然量新用户比例=H5自然量新用户充值人数/H5游戏新用户充值人数")
    private BigDecimal h5NewUserNatureNewUserRate;

    /**
     * H5自然量至今充值金额（自然量）
     */
    @ApiModelProperty("可排序：H5自然量至今充值金额（自然量）")
    private BigDecimal h5NatureNewUserTotalAmount;

    /**
     * H5自然量至今充值金额比例（自然量）
     */
    @ApiModelProperty("可排序：H5自然量至今充值金额比例（自然量）")
    private BigDecimal h5NatureNewUserTotalAmountRate;

    /**
     * H5自然量至今充值人数（自然量）
     */
    @ApiModelProperty("可排序：H5自然量至今充值人数（自然量）")
    private Long h5NatureNewUserTotalAmountNum;

    /**
     * H5自然量账面充值金额（自然量）
     */
    @ApiModelProperty("H5自然量账面充值金额（自然量）")
    private BigDecimal h5NatureAmount;

    /**
     * H5自然量账面充值人数（自然量）
     */
    @ApiModelProperty("H5自然量账面充值人数（自然量）")
    private Long h5NatureAmountNum;

    private List<H5BuyUserVO> h5BuyUserVOList;

    private List<H5NatureUserVO> h5NatureUserVOList;

}
