package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;

import java.math.BigDecimal;

import java.time.LocalDate;
import java.util.List;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 返回给前端的游戏总数据实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataWaterVO {
    private Long id;
    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;
    /**
     * 游戏ID
     */
    @ApiModelProperty("游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty("游戏名称")
    private String gameName;

    /**
     * 游戏类别
     */
    @ApiModelProperty("游戏类别")
    private String gameClassify;

    /**
     * 充值金额总
     */
    @ApiModelProperty("充值金额总")
    private BigDecimal amount;

    /**
     * 买量金额
     */
    @ApiModelProperty("买量金额")
    private BigDecimal buyAmount;

    /**
     * 自然量充值金额
     */
    @ApiModelProperty("自然量充值金额")
    private BigDecimal natureAmount;

    private List<RechargeTemplateVO> rechargeTemplateVOList;

    private List<PlayerTemplateVO> playerTemplateVOS;
}
