package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
public class GamePromoteDayTotalVO {
    @ApiModelProperty(notes = "消耗")
    private BigDecimal cost;

    @ApiModelProperty(notes = "广告计划数量")
    private Long adPlanCount;

    @ApiModelProperty(notes = "曝光数")
    private Long viewCount;

    @ApiModelProperty(notes = "点击数")
    private Long clickCount;

    @ApiModelProperty(notes = "转化量")
    private Long convertCount;

    @ApiModelProperty(notes = "转化率（目标转化率）=转化量/点击量100%")
    private BigDecimal convertRate;

    @ApiModelProperty(notes = "平均转化成本=实际消耗/转化量")
    private BigDecimal avgConvertCost;

    @ApiModelProperty(notes = "深度转化量")
    private Long deepConvertCount;

    @ApiModelProperty(notes = "深度转化成本=实际消耗/深度转化量")
    private BigDecimal deepConvertCost;

    @ApiModelProperty(notes = "深度转化率=深度转化量/转化量100%")
    private BigDecimal deepConvertRate;

    @ApiModelProperty(notes = "千次曝光成本=实际消耗/曝光量1000")
    private BigDecimal thousandViewCost;

    @ApiModelProperty(notes = "点击率=点击量/曝光量100%")
    private BigDecimal clickRate;

    @ApiModelProperty(notes = "平均点击均价=实际消耗/点击量")
    private BigDecimal avgClickCost;

    @ApiModelProperty(notes = "应用下载量")
    private Long appDownloadCount;

    @ApiModelProperty(notes = "应用下载成本=实际消耗/安卓下载开始数")
    private BigDecimal appDownloadCost;

    @ApiModelProperty(notes = "应用下载率=安卓下载开始数/点击数")
    private BigDecimal appDownloadRate;

    @ApiModelProperty(notes = "应用下载完成量")
    private Long downloadFinish;

    @ApiModelProperty(notes = "应用安装量")
    private Long appInstallCount;

    @ApiModelProperty(notes = "应用安装成本=实际消耗/安卓安装完成数")
    private BigDecimal appInstallCost;

    @ApiModelProperty(notes = "应用安装率=安卓安装完成数/安卓下载完成数")
    private BigDecimal appInstallRate;

    @ApiModelProperty(notes = "应用下载完成成本=实际消耗/安卓下载完成数")
    private BigDecimal downloadFinishCost;

    @ApiModelProperty(notes = "应用下载完成率=安卓下载完成数/安卓下载开始数")
    private BigDecimal downloadFinishRate;

    @ApiModelProperty(notes = "应用激活数")
    private Long appActiveCount;

    @ApiModelProperty(notes = "应用激活成本=实际消耗/激活数")
    private BigDecimal appActiveCost;

    @ApiModelProperty(notes = "应用激活率=激活数/点击数100%")
    private BigDecimal appActiveRate;

    @ApiModelProperty(notes = "注册人数")
    private Long regUserCount;

    @ApiModelProperty(notes = "注册成本=实际消耗/注册人数")
    private BigDecimal regCost;

    @ApiModelProperty(notes = "首日新用户充值次数")
    private Long firstUserRechargeCount;

    @ApiModelProperty(notes = "首日新用户充值人数")
    private Long firstUserRechargeUser;

    @ApiModelProperty(notes = "首日新用户充值金额")
    private BigDecimal firstUserRechargeMoney;

    @ApiModelProperty(notes = "老用户充值次数")
    private Long oldUserRechargeCount;

    @ApiModelProperty(notes = "老用户充值人数")
    private Long oldUserRechargeUser;

    @ApiModelProperty(notes = "老用户充值金额")
    private BigDecimal oldUserRechargeMoney;

    @ApiModelProperty(notes = "账面充值次数")
    private Long showRechargeCount;

    @ApiModelProperty(notes = "账面充值人数")
    private Long showRechargeUser;

    @ApiModelProperty(notes = "账面充值金额")
    private BigDecimal showRechargeMoney;

    @ApiModelProperty(notes = "新用户累计充值次数")
    private Long newUserRechargeCount;

    @ApiModelProperty(notes = "新用户累计充值人数")
    private Long newUserRechargeUser;

    @ApiModelProperty(notes = "新用户累计充值金额")
    private BigDecimal newUserRechargeMoney;

    @ApiModelProperty(notes = "首日ROI=首日新用户充值金额/实际消耗")
    private BigDecimal firstRecoveryRate;

    @ApiModelProperty(notes = "当日回收率=新用户累计充值金额/实际消耗")
    private BigDecimal todayRecoveryRate;

    @ApiModelProperty(notes = "买量回收率=新用户累计充值金额/实际消耗")
    private BigDecimal buyRecoveryRate;

    @ApiModelProperty(notes = "毛利额=新用户累计充值金额-实际消耗")
    private BigDecimal grossMargin;

    @ApiModelProperty(notes = "1日ROI=新用户1日累计充值金额/实际消耗")
    private BigDecimal roiDay1;

    @ApiModelProperty(notes = "2日ROI=新用户2日累计充值金额/实际消耗")
    private BigDecimal roiDay2;

    @ApiModelProperty(notes = "3日ROI=新用户3日累计充值金额/实际消耗")
    private BigDecimal roiDay3;

    @ApiModelProperty(notes = "4日ROI=新用户4日累计充值金额/实际消耗")
    private BigDecimal roiDay4;

    @ApiModelProperty(notes = "5日ROI=新用户5日累计充值金额/实际消耗")
    private BigDecimal roiDay5;

    @ApiModelProperty(notes = "6日ROI=新用户6日累计充值金额/实际消耗")
    private BigDecimal roiDay6;

    @ApiModelProperty(notes = "7日ROI=新用户7日累计充值金额/实际消耗")
    private BigDecimal roiDay7;

    @ApiModelProperty(notes = "8日ROI=新用户8日累计充值金额/实际消耗")
    private BigDecimal roiDay8;

    @ApiModelProperty(notes = "9日ROI=新用户9日累计充值金额/实际消耗")
    private BigDecimal roiDay9;

    @ApiModelProperty(notes = "10日ROI=新用户10日累计充值金额/实际消耗")
    private BigDecimal roiDay10;

    @ApiModelProperty(notes = "11日ROI=新用户11日累计充值金额/实际消耗")
    private BigDecimal roiDay11;

    @ApiModelProperty(notes = "12日ROI=新用户12日累计充值金额/实际消耗")
    private BigDecimal roiDay12;

    @ApiModelProperty(notes = "13日ROI=新用户13日累计充值金额/实际消耗")
    private BigDecimal roiDay13;

    @ApiModelProperty(notes = "14日ROI=新用户14日累计充值金额/实际消耗")
    private BigDecimal roiDay14;

    @ApiModelProperty(notes = "15日ROI=新用户15日累计充值金额/实际消耗")
    private BigDecimal roiDay15;

    @ApiModelProperty(notes = "16日ROI=新用户16日累计充值金额/实际消耗")
    private BigDecimal roiDay16;

    @ApiModelProperty(notes = "17日ROI=新用户17日累计充值金额/实际消耗")
    private BigDecimal roiDay17;

    @ApiModelProperty(notes = "18日ROI=新用户18日累计充值金额/实际消耗")
    private BigDecimal roiDay18;

    @ApiModelProperty(notes = "19日ROI=新用户19日累计充值金额/实际消耗")
    private BigDecimal roiDay19;

    @ApiModelProperty(notes = "20日ROI=新用户20日累计充值金额/实际消耗")
    private BigDecimal roiDay20;

    @ApiModelProperty(notes = "21日ROI=新用户21日累计充值金额/实际消耗")
    private BigDecimal roiDay21;

    @ApiModelProperty(notes = "22日ROI=新用户22日累计充值金额/实际消耗")
    private BigDecimal roiDay22;

    @ApiModelProperty(notes = "23日ROI=新用户23日累计充值金额/实际消耗")
    private BigDecimal roiDay23;

    @ApiModelProperty(notes = "24日ROI=新用户24日累计充值金额/实际消耗")
    private BigDecimal roiDay24;

    @ApiModelProperty(notes = "25日ROI=新用户25日累计充值金额/实际消耗")
    private BigDecimal roiDay25;

    @ApiModelProperty(notes = "26日ROI=新用户26日累计充值金额/实际消耗")
    private BigDecimal roiDay26;

    @ApiModelProperty(notes = "27日ROI=新用户27日累计充值金额/实际消耗")
    private BigDecimal roiDay27;

    @ApiModelProperty(notes = "28日ROI=新用户28日累计充值金额/实际消耗")
    private BigDecimal roiDay28;

    @ApiModelProperty(notes = "29日ROI=新用户29日累计充值金额/实际消耗")
    private BigDecimal roiDay29;

    @ApiModelProperty(notes = "30日ROI=新用户30日累计充值金额/实际消耗")
    private BigDecimal roiDay30;

    @ApiModelProperty(notes = "60日ROI=新用户60日累计充值金额/实际消耗")
    private BigDecimal roiDay60;

    @ApiModelProperty(notes = "90日ROI=新用户90日累计充值金额/实际消耗")
    private BigDecimal roiDay90;

    @ApiModelProperty(notes = "180日ROI=新用户180日累计充值金额/实际消耗")
    private BigDecimal roiDay180;

    @ApiModelProperty(notes = "一年ROI=新用户一年累计充值金额/实际消耗")
    private BigDecimal roiYear1;

    @ApiModelProperty(notes = "总ROI=新用户累计充值金额/实际消耗")
    private BigDecimal roiTotal;

    @ApiModelProperty(notes = "首日付费率=首日新用户充值人数/注册人数")
    private BigDecimal firstRechargeRate;

    @ApiModelProperty(notes = "买量用户付费率=新用户累计充值人数/注册人数")
    private BigDecimal buyUserRechargeRate;

    @ApiModelProperty(notes = "新用户付费比=首日新用户充值人数/账面充值人数")
    private BigDecimal newUserRechargeRate;

    @ApiModelProperty(notes = "首日客单价=首日新用户充值金额/首日新用户充值次数")
    private BigDecimal avgFirstUserRecharge;

    @ApiModelProperty(notes = "买量客单价=新用户累计充值金额/新用户累计充值次数")
    private BigDecimal avgBuyUserRecharge;

    @ApiModelProperty(notes = "账面客单价=账面充值金额/账面充值次数")
    private BigDecimal avgShowUserRecharge;

    @ApiModelProperty(notes = "首日充值成本=实际消耗/首日新用户充值人数")
    private BigDecimal firstRechargeCost;

    @ApiModelProperty(notes = "买量充值成本=实际消耗/新用户累计充值人数")
    private BigDecimal buyUserRechargeCost;

    @ApiModelProperty(notes = "复充率=新用户复充人数/新用户累计充值人数")
    private BigDecimal repeatRechargeRate;

    @ApiModelProperty(notes = "新增注册Arpu=新用户累计充值金额/注册人数")
    private BigDecimal newRegArpu;

    @ApiModelProperty(notes = "首日付费Arpu=首日新用户充值金额/首日新用户充值人数")
    private BigDecimal firstRechargeArpu;

    @ApiModelProperty(notes = "买付费Arpu=新用户累计充值金额/新用户累计充值人数")
    private BigDecimal todayRechargeArpu;

    @ApiModelProperty(notes = "账面Arpu=账面充值金额/账面充值人数")
    private BigDecimal showRechargeArpu;

    @ApiModelProperty(notes = "不展示--付费趋势：1天")
    private String trendDay1;

    @ApiModelProperty(notes = "不展示--付费趋势：2天")
    private String trendDay2;

    @ApiModelProperty(notes = "不展示--付费趋势：3天")
    private String trendDay3;

    @ApiModelProperty(notes = "不展示--付费趋势：4天")
    private String trendDay4;

    @ApiModelProperty(notes = "不展示--付费趋势：5天")
    private String trendDay5;

    @ApiModelProperty(notes = "不展示--付费趋势：6天")
    private String trendDay6;

    @ApiModelProperty(notes = "不展示--付费趋势：7天")
    private String trendDay7;

    @ApiModelProperty(notes = "不展示--付费趋势：8天")
    private String trendDay8;

    @ApiModelProperty(notes = "不展示--付费趋势：9天")
    private String trendDay9;

    @ApiModelProperty(notes = "不展示--付费趋势：10天")
    private String trendDay10;

    // Continue the pattern for trendDay11 to trendDay30
    @ApiModelProperty(notes = "不展示--付费趋势：11天")
    private String trendDay11;

    @ApiModelProperty(notes = "不展示--付费趋势：12天")
    private String trendDay12;

    @ApiModelProperty(notes = "不展示--付费趋势：13天")
    private String trendDay13;

    @ApiModelProperty(notes = "不展示--付费趋势：14天")
    private String trendDay14;

    @ApiModelProperty(notes = "不展示--付费趋势：15天")
    private String trendDay15;

    // Continue the pattern for trendDay16 to trendDay30
    @ApiModelProperty(notes = "不展示--付费趋势：16天")
    private String trendDay16;

    @ApiModelProperty(notes = "不展示--付费趋势：17天")
    private String trendDay17;

    @ApiModelProperty(notes = "不展示--付费趋势：18天")
    private String trendDay18;

    @ApiModelProperty(notes = "不展示--付费趋势：19天")
    private String trendDay19;

    @ApiModelProperty(notes = "不展示--付费趋势：20天")
    private String trendDay20;

    // Continue the pattern for trendDay21 to trendDay30
    @ApiModelProperty(notes = "不展示--付费趋势：21天")
    private String trendDay21;

    @ApiModelProperty(notes = "不展示--付费趋势：22天")
    private String trendDay22;

    @ApiModelProperty(notes = "不展示--付费趋势：23天")
    private String trendDay23;

    @ApiModelProperty(notes = "不展示--付费趋势：24天")
    private String trendDay24;

    @ApiModelProperty(notes = "不展示--付费趋势：25天")
    private String trendDay25;

    // Continue the pattern for trendDay26 to trendDay30
    @ApiModelProperty(notes = "不展示--付费趋势：26天")
    private String trendDay26;

    @ApiModelProperty(notes = "不展示--付费趋势：27天")
    private String trendDay27;

    @ApiModelProperty(notes = "不展示--付费趋势：28天")
    private String trendDay28;

    @ApiModelProperty(notes = "不展示--付费趋势：29天")
    private String trendDay29;

    @ApiModelProperty(notes = "不展示")
    private String trendDay30;
    private String trendDay31;
    private String trendDay32;
    private String trendDay33;
    private String trendDay34;
    private String trendDay35;
    private String trendDay36;
    private String trendDay37;
    private String trendDay38;
    private String trendDay39;

    private String trendDay40;
    private String trendDay41;
    private String trendDay42;
    private String trendDay43;
    private String trendDay44;
    private String trendDay45;
    private String trendDay46;
    private String trendDay47;
    private String trendDay48;
    private String trendDay49;

    private String trendDay50;
    private String trendDay51;
    private String trendDay52;
    private String trendDay53;
    private String trendDay54;
    private String trendDay55;
    private String trendDay56;
    private String trendDay57;
    private String trendDay58;
    private String trendDay59;

    private String trendDay60;
    private String trendDay61;
    private String trendDay62;
    private String trendDay63;
    private String trendDay64;
    private String trendDay65;
    private String trendDay66;
    private String trendDay67;
    private String trendDay68;
    private String trendDay69;

    private String trendDay70;
    private String trendDay71;
    private String trendDay72;
    private String trendDay73;
    private String trendDay74;
    private String trendDay75;
    private String trendDay76;
    private String trendDay77;
    private String trendDay78;
    private String trendDay79;

    private String trendDay80;
    private String trendDay81;
    private String trendDay82;
    private String trendDay83;
    private String trendDay84;
    private String trendDay85;
    private String trendDay86;
    private String trendDay87;
    private String trendDay88;
    private String trendDay89;
    private String trendDay90;

    @ApiModelProperty(notes = "不展示")
    private String trendMonth4;
    private String trendMonth5;
    private String trendMonth6;
    private String trendMonth7;
    private String trendMonth8;
    private String trendMonth9;
    private String trendMonth10;
    private String trendMonth11;
    private String trendMonth12;

    @ApiModelProperty(notes = "不展示--付费趋势：总")
    private String trendTotal;

    @ApiModelProperty(notes = "付费趋势：1天")
    private RechargeTrendVO rechargeTrendDay1;

    @ApiModelProperty(notes = "付费趋势：2天")
    private RechargeTrendVO rechargeTrendDay2;

    @ApiModelProperty(notes = "付费趋势：3天")
    private RechargeTrendVO rechargeTrendDay3;

    @ApiModelProperty(notes = "付费趋势：4天")
    private RechargeTrendVO rechargeTrendDay4;

    @ApiModelProperty(notes = "付费趋势：5天")
    private RechargeTrendVO rechargeTrendDay5;

    @ApiModelProperty(notes = "付费趋势：6天")
    private RechargeTrendVO rechargeTrendDay6;

    @ApiModelProperty(notes = "付费趋势：7天")
    private RechargeTrendVO rechargeTrendDay7;

    @ApiModelProperty(notes = "付费趋势：8天")
    private RechargeTrendVO rechargeTrendDay8;

    @ApiModelProperty(notes = "付费趋势：9天")
    private RechargeTrendVO rechargeTrendDay9;

    @ApiModelProperty(notes = "付费趋势：10天")
    private RechargeTrendVO rechargeTrendDay10;

    @ApiModelProperty(notes = "付费趋势：11天")
    private RechargeTrendVO rechargeTrendDay11;

    @ApiModelProperty(notes = "付费趋势：12天")
    private RechargeTrendVO rechargeTrendDay12;

    @ApiModelProperty(notes = "付费趋势：13天")
    private RechargeTrendVO rechargeTrendDay13;

    @ApiModelProperty(notes = "付费趋势：14天")
    private RechargeTrendVO rechargeTrendDay14;

    @ApiModelProperty(notes = "付费趋势：15天")
    private RechargeTrendVO rechargeTrendDay15;

    @ApiModelProperty(notes = "付费趋势：16天")
    private RechargeTrendVO rechargeTrendDay16;

    @ApiModelProperty(notes = "付费趋势：17天")
    private RechargeTrendVO rechargeTrendDay17;

    @ApiModelProperty(notes = "付费趋势：18天")
    private RechargeTrendVO rechargeTrendDay18;

    @ApiModelProperty(notes = "付费趋势：19天")
    private RechargeTrendVO rechargeTrendDay19;

    @ApiModelProperty(notes = "付费趋势：20天")
    private RechargeTrendVO rechargeTrendDay20;

    @ApiModelProperty(notes = "付费趋势：21天")
    private RechargeTrendVO rechargeTrendDay21;

    @ApiModelProperty(notes = "付费趋势：22天")
    private RechargeTrendVO rechargeTrendDay22;

    @ApiModelProperty(notes = "付费趋势：23天")
    private RechargeTrendVO rechargeTrendDay23;

    @ApiModelProperty(notes = "付费趋势：24天")
    private RechargeTrendVO rechargeTrendDay24;

    @ApiModelProperty(notes = "付费趋势：25天")
    private RechargeTrendVO rechargeTrendDay25;

    @ApiModelProperty(notes = "付费趋势：26天")
    private RechargeTrendVO rechargeTrendDay26;

    @ApiModelProperty(notes = "付费趋势：27天")
    private RechargeTrendVO rechargeTrendDay27;

    @ApiModelProperty(notes = "付费趋势：28天")
    private RechargeTrendVO rechargeTrendDay28;

    @ApiModelProperty(notes = "付费趋势：29天")
    private RechargeTrendVO rechargeTrendDay29;

    @ApiModelProperty(notes = "付费趋势：30天")
    private RechargeTrendVO rechargeTrendDay30;
    @ApiModelProperty(notes = "付费趋势：31天")
    private RechargeTrendVO rechargeTrendDay31;
    @ApiModelProperty(notes = "付费趋势：32天")
    private RechargeTrendVO rechargeTrendDay32;
    @ApiModelProperty(notes = "付费趋势：33天")
    private RechargeTrendVO rechargeTrendDay33;
    @ApiModelProperty(notes = "付费趋势：34天")
    private RechargeTrendVO rechargeTrendDay34;
    @ApiModelProperty(notes = "付费趋势：35天")
    private RechargeTrendVO rechargeTrendDay35;
    @ApiModelProperty(notes = "付费趋势：36天")
    private RechargeTrendVO rechargeTrendDay36;
    @ApiModelProperty(notes = "付费趋势：37天")
    private RechargeTrendVO rechargeTrendDay37;
    @ApiModelProperty(notes = "付费趋势：38天")
    private RechargeTrendVO rechargeTrendDay38;
    @ApiModelProperty(notes = "付费趋势：39天")
    private RechargeTrendVO rechargeTrendDay39;

    @ApiModelProperty(notes = "付费趋势：40天")
    private RechargeTrendVO rechargeTrendDay40;
    @ApiModelProperty(notes = "付费趋势：41天")
    private RechargeTrendVO rechargeTrendDay41;
    @ApiModelProperty(notes = "付费趋势：42天")
    private RechargeTrendVO rechargeTrendDay42;
    @ApiModelProperty(notes = "付费趋势：43天")
    private RechargeTrendVO rechargeTrendDay43;
    @ApiModelProperty(notes = "付费趋势：44天")
    private RechargeTrendVO rechargeTrendDay44;
    @ApiModelProperty(notes = "付费趋势：45天")
    private RechargeTrendVO rechargeTrendDay45;
    @ApiModelProperty(notes = "付费趋势：46天")
    private RechargeTrendVO rechargeTrendDay46;
    @ApiModelProperty(notes = "付费趋势：47天")
    private RechargeTrendVO rechargeTrendDay47;
    @ApiModelProperty(notes = "付费趋势：48天")
    private RechargeTrendVO rechargeTrendDay48;
    @ApiModelProperty(notes = "付费趋势：49天")
    private RechargeTrendVO rechargeTrendDay49;

    @ApiModelProperty(notes = "付费趋势：50天")
    private RechargeTrendVO rechargeTrendDay50;
    @ApiModelProperty(notes = "付费趋势：51天")
    private RechargeTrendVO rechargeTrendDay51;
    @ApiModelProperty(notes = "付费趋势：52天")
    private RechargeTrendVO rechargeTrendDay52;
    @ApiModelProperty(notes = "付费趋势：53天")
    private RechargeTrendVO rechargeTrendDay53;
    @ApiModelProperty(notes = "付费趋势：54天")
    private RechargeTrendVO rechargeTrendDay54;
    @ApiModelProperty(notes = "付费趋势：55天")
    private RechargeTrendVO rechargeTrendDay55;
    @ApiModelProperty(notes = "付费趋势：56天")
    private RechargeTrendVO rechargeTrendDay56;
    @ApiModelProperty(notes = "付费趋势：57天")
    private RechargeTrendVO rechargeTrendDay57;
    @ApiModelProperty(notes = "付费趋势：58天")
    private RechargeTrendVO rechargeTrendDay58;
    @ApiModelProperty(notes = "付费趋势：59天")
    private RechargeTrendVO rechargeTrendDay59;

    @ApiModelProperty(notes = "付费趋势：60天")
    private RechargeTrendVO rechargeTrendDay60;
    @ApiModelProperty(notes = "付费趋势：61天")
    private RechargeTrendVO rechargeTrendDay61;
    @ApiModelProperty(notes = "付费趋势：62天")
    private RechargeTrendVO rechargeTrendDay62;
    @ApiModelProperty(notes = "付费趋势：63天")
    private RechargeTrendVO rechargeTrendDay63;
    @ApiModelProperty(notes = "付费趋势：64天")
    private RechargeTrendVO rechargeTrendDay64;
    @ApiModelProperty(notes = "付费趋势：65天")
    private RechargeTrendVO rechargeTrendDay65;
    @ApiModelProperty(notes = "付费趋势：66天")
    private RechargeTrendVO rechargeTrendDay66;
    @ApiModelProperty(notes = "付费趋势：67天")
    private RechargeTrendVO rechargeTrendDay67;
    @ApiModelProperty(notes = "付费趋势：68天")
    private RechargeTrendVO rechargeTrendDay68;
    @ApiModelProperty(notes = "付费趋势：69天")
    private RechargeTrendVO rechargeTrendDay69;

    @ApiModelProperty(notes = "付费趋势：70天")
    private RechargeTrendVO rechargeTrendDay70;
    @ApiModelProperty(notes = "付费趋势：71天")
    private RechargeTrendVO rechargeTrendDay71;
    @ApiModelProperty(notes = "付费趋势：72天")
    private RechargeTrendVO rechargeTrendDay72;
    @ApiModelProperty(notes = "付费趋势：73天")
    private RechargeTrendVO rechargeTrendDay73;
    @ApiModelProperty(notes = "付费趋势：74天")
    private RechargeTrendVO rechargeTrendDay74;
    @ApiModelProperty(notes = "付费趋势：75天")
    private RechargeTrendVO rechargeTrendDay75;
    @ApiModelProperty(notes = "付费趋势：76天")
    private RechargeTrendVO rechargeTrendDay76;
    @ApiModelProperty(notes = "付费趋势：77天")
    private RechargeTrendVO rechargeTrendDay77;
    @ApiModelProperty(notes = "付费趋势：78天")
    private RechargeTrendVO rechargeTrendDay78;
    @ApiModelProperty(notes = "付费趋势：79天")
    private RechargeTrendVO rechargeTrendDay79;

    @ApiModelProperty(notes = "付费趋势：80天")
    private RechargeTrendVO rechargeTrendDay80;
    @ApiModelProperty(notes = "付费趋势：81天")
    private RechargeTrendVO rechargeTrendDay81;
    @ApiModelProperty(notes = "付费趋势：82天")
    private RechargeTrendVO rechargeTrendDay82;
    @ApiModelProperty(notes = "付费趋势：83天")
    private RechargeTrendVO rechargeTrendDay83;
    @ApiModelProperty(notes = "付费趋势：84天")
    private RechargeTrendVO rechargeTrendDay84;
    @ApiModelProperty(notes = "付费趋势：85天")
    private RechargeTrendVO rechargeTrendDay85;
    @ApiModelProperty(notes = "付费趋势：86天")
    private RechargeTrendVO rechargeTrendDay86;
    @ApiModelProperty(notes = "付费趋势：87天")
    private RechargeTrendVO rechargeTrendDay87;
    @ApiModelProperty(notes = "付费趋势：88天")
    private RechargeTrendVO rechargeTrendDay88;
    @ApiModelProperty(notes = "付费趋势：89天")
    private RechargeTrendVO rechargeTrendDay89;
    @ApiModelProperty(notes = "付费趋势：90天")
    private RechargeTrendVO rechargeTrendDay90;

    @ApiModelProperty(notes = "付费趋势：4个月")
    private RechargeTrendVO rechargeTrendMonth4;

    @ApiModelProperty(notes = "付费趋势：5个月")
    private RechargeTrendVO rechargeTrendMonth5;

    @ApiModelProperty(notes = "付费趋势：6个月")
    private RechargeTrendVO rechargeTrendMonth6;

    @ApiModelProperty(notes = "付费趋势：7个月")
    private RechargeTrendVO rechargeTrendMonth7;

    @ApiModelProperty(notes = "付费趋势：8个月")
    private RechargeTrendVO rechargeTrendMonth8;

    @ApiModelProperty(notes = "付费趋势：9个月")
    private RechargeTrendVO rechargeTrendMonth9;

    @ApiModelProperty(notes = "付费趋势：10个月")
    private RechargeTrendVO rechargeTrendMonth10;

    @ApiModelProperty(notes = "付费趋势：11个月")
    private RechargeTrendVO rechargeTrendMonth11;

    @ApiModelProperty(notes = "付费趋势：1年")
    private RechargeTrendVO rechargeTrendMonth12;

    @ApiModelProperty(notes = "付费趋势：总")
    private RechargeTrendVO rechargeTrendTotal;

    @ApiModelProperty(notes = "单日付费100+人数")
    private String hundredUserNum;

    @ApiModelProperty(notes = "单日付费100+成本")
    private String hundredUserNumCost;

    @ApiModelProperty(notes = "首日充值次数成本=实际消耗/首日新用户充值次数")
    private BigDecimal firstRechargeCountCost;

    @ApiModelProperty(notes = "老用户充值次数成本 = 消耗/老用户充值次数")
    private BigDecimal oldUserRechargeCountCost;

    @ApiModelProperty(notes = "账面充值次数成本=消耗/账面充值次数")
    private BigDecimal showRechargeCountCost;

    @ApiModelProperty(notes = "新用户累计充值次数成本 = 消耗/新用户累计充值次数")
    private BigDecimal newUserRechargeCountCost;

    /**
     * 首日创角人数
     */
    @ApiModelProperty(value = "首日创角人数")
    private Long firstRoleNum;

    /**
     * 新用户累计创角人数
     */
    @ApiModelProperty(value = "新用户累计创角人数")
    private Long newUserTotalRoleNum;

    /**
     * 创角人数
     */
    @ApiModelProperty(value = "创角人数")
    private Long roleNum;
}
