package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/27
 * @Description 广告监控数据前端显示实体对象
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PromotionDayVO {

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private LocalDate dt;

    /**
     * 广告ID
     */
    @ApiModelProperty(value = "广告ID")
    private String promotionId;

    /**
     * 广告名称
     */
    @ApiModelProperty(value = "广告名称")
    private String promotionName;

    /**
     * 计划ID
     */
    @ApiModelProperty(value = "计划ID")
    private String projectId;

    /**
     * 计划名称
     */
    @ApiModelProperty(value = "计划名称")
    private String projectName;

    /**
     * 推广账号ID
     */
    @ApiModelProperty(value = "推广账号ID")
    private Long accountId;

    /**
     * 推广账号名称
     */
    @ApiModelProperty(value = "推广账号名称")
    private String accountName;

    /**
     * 投放媒体
     */
    @ApiModelProperty(value = "投放媒体")
    private String accountType;

    /**
     * 投手ID
     */
    @ApiModelProperty(value = "投手ID")
    private Long pitcherId;

    /**
     * 投手名称
     */
    @ApiModelProperty(value = "投手名称")
    private String pitcherName;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String notes;

    /**
     * 服务商
     */
    @ApiModelProperty(value = "服务商")
    private String service;

    /**
     * 余额
     */
    @ApiModelProperty(value = "余额")
    private String balance;

    /**
     * 渠道ID
     */
    @ApiModelProperty(value = "渠道ID")
    private Long agentId;

    /**
     * 渠道名称
     */
    @ApiModelProperty(value = "渠道名称")
    private String agentName;

    /**
     * 渠道标识
     */
    @ApiModelProperty(value = "渠道标识")
    private String agentKey;

    /**
     * cp名称
     */
    @ApiModelProperty(value = "cp名称")
    private String cpName;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    /**
     * 游戏应用类型
     */
    @ApiModelProperty(value = "游戏应用类型")
    private Long classify;

    /**
     * 广告状态
     */
    @ApiModelProperty(value = "广告状态")
    private String status;

    /**
     * 创意预览
     */
    @ApiModelProperty(value = "创意预览")
    private String creativePreview;

    /**
     * 推广目标
     */
    @ApiModelProperty(value = "推广目标")
    private String landingType;

    /**
     * 出价方式
     */
    @ApiModelProperty(value = "出价方式")
    private String pricing;

    /**
     * 当前出价
     */
    @ApiModelProperty(value = "当前出价")
    private String cpaBid;

    /**
     * 深度转化ROI系数
     */
    @ApiModelProperty(value = "深度转化ROI系数")
    private String roiGoal;

    /**
     * 日预算
     */
    @ApiModelProperty(value = "日预算")
    private String budget;

    /**
     * 投放时间
     */
    @ApiModelProperty(value = "投放时间")
    private String scheduleTime;

    /**
     * 今日消耗
     */
    @ApiModelProperty(value = "今日消耗")
    private BigDecimal todayCost;

    /**
     * 广告总消耗
     */
    @ApiModelProperty(value = "广告总消耗")
    private BigDecimal promotionTotalCost;

    /**
     * 曝光量
     */
    @ApiModelProperty(value = "曝光量")
    private Long showCount;

    /**
     * 千次曝光成本
     */
    @ApiModelProperty(value = "千次曝光成本")
    private BigDecimal thousandDisplayPrice;

    /**
     * 点击量
     */
    @ApiModelProperty(value = "点击量")
    private Long clickCount;

    /**
     * 点击均价
     */
    @ApiModelProperty(value = "点击均价")
    private BigDecimal avgClickCost;

    /**
     * 点击率
     */
    @ApiModelProperty(value = "点击率")
    private BigDecimal ctr;

    /**
     * 转化目标
     */
    @ApiModelProperty(value = "转化目标")
    private String convertTarget;

    /**
     * 转化目标量
     */
    @ApiModelProperty(value = "转化目标量")
    private Long convertCount;

    /**
     * 转化目标成本
     */
    @ApiModelProperty(value = "转化目标成本")
    private BigDecimal convertCost;

    /**
     * 目标转化率
     */
    @ApiModelProperty(value = "目标转化率")
    private BigDecimal convertRate;

    /**
     * 新增用户数
     */
    @ApiModelProperty(value = "新增用户数")
    private Long regNum;

    /**
     * 广告总注册人数
     */
    @ApiModelProperty(value = "广告总注册人数")
    private Long regTotalNum;

    /**
     * 总创角人数
     */
    @ApiModelProperty(value = "总创角人数")
    private Long roleTotalNum;

    /**
     * 首日创角人数
     */
    @ApiModelProperty(value = "首日创角人数")
    private Long firstRoleNum;

    /**
     * 新用户累计创角人数
     */
    @ApiModelProperty(value = "新用户累计创角人数")
    private Long newUserTotalRoleNum;

    /**
     * 注册成本
     */
    @ApiModelProperty(value = "注册成本")
    private BigDecimal regCost;

    /**
     * 总注册成本
     */
    @ApiModelProperty(value = "总注册成本")
    private BigDecimal regTotalCost;

    /**
     * 首日创角成本
     */
    @ApiModelProperty(value = "首日创角成本")
    private BigDecimal firstRoleCost;

    /**
     * 新用户创角成本
     */
    @ApiModelProperty(value = "新用户创角成本")
    private BigDecimal newUserTotalRoleCost;

    /**
     * 总创角成本
     */
    @ApiModelProperty(value = "总创角成本")
    private BigDecimal roleTotalCost;

    /**
     * 首日创角率
     */
    @ApiModelProperty(value = "首日创角率")
    private BigDecimal firstRoleRate;

    /**
     * 新用户创角率
     */
    @ApiModelProperty(value = "新用户创角率")
    private BigDecimal newUserTotalRoleRate;

    /**
     * 总创角率
     */
    @ApiModelProperty(value = "总创角率")
    private BigDecimal roleTotalRate;

    /**
     * 新增付费次数
     */
    @ApiModelProperty(value = "新增付费次数")
    private Long firstNewUserAmountCount;

    /**
     * 新增付费人数
     */
    @ApiModelProperty(value = "新增付费人数")
    private Long firstNewUserAmountNum;

    /**
     * 新增付费金额
     */
    @ApiModelProperty(value = "新增付费金额")
    private BigDecimal firstNewUserAmount;

    /**
     * 至今付费次数
     */
    @ApiModelProperty(value = "至今付费次数")
    private Long newUserTotalAmountCount;

    /**
     * 至今付费人数
     */
    @ApiModelProperty(value = "至今付费人数")
    private Long newUserTotalAmountNum;

    /**
     * 至今付费金额
     */
    @ApiModelProperty(value = "至今付费金额")
    private BigDecimal newUserTotalAmount;

    /**
     * 总充值次数
     */
    @ApiModelProperty(value = "总充值次数")
    private Long totalAmountCount;

    /**
     * 总充值人数
     */
    @ApiModelProperty(value = "总充值人数")
    private Long totalAmountNum;

    /**
     * 总充值金额
     */
    @ApiModelProperty(value = "总充值金额")
    private BigDecimal totalAmount;

    /**
     * 首日ROI
     */
    @ApiModelProperty(value = "首日ROI")
    private BigDecimal firstRoi;

    /**
     * 新用户24小时充值金额
     */
    @ApiModelProperty(value = "新用户24小时充值金额")
    private BigDecimal twentyFourHoursAmount;

    /**
     * 新用户24小时ROI
     */
    @ApiModelProperty(value = "新用户24小时ROI")
    private BigDecimal twentyFourHoursRoi;

    /**
     * 总ROI
     */
    @ApiModelProperty(value = "总ROI")
    private BigDecimal totalRoi;

    /**
     * 广告总ROI
     */
    @ApiModelProperty(value = "广告总ROI")
    private BigDecimal promotionTotalRoi;

    /**
     * 新增付费成本
     */
    @ApiModelProperty(value = "新增付费成本")
    private BigDecimal firstNewUserRechargeCost;

    /**
     * 至今付费成本
     */
    @ApiModelProperty(value = "至今付费成本")
    private BigDecimal newUserTotalRechargeCost;

    /**
     * 广告总付费成本
     */
    @ApiModelProperty(value = "广告总付费成本")
    private BigDecimal totalRechargeCost;

    /**
     * 新增付费次数成本
     */
    @ApiModelProperty(value = "新增付费次数成本 = 消耗 / 新增付费次数")
    private BigDecimal firstNewUserAmountCountCost;

    /**
     * 至今付费次数成本
     */
    @ApiModelProperty(value = "至今付费次数成本 = 消耗 / 至今付费数")
    private BigDecimal newUserTotalAmountCountCost;

    /**
     * 总充值次数成本
     */
    @ApiModelProperty(value = "总充值次数成本 = 消耗 / 总充值次数")
    private BigDecimal totalAmountCountCost;

    /**
     * 新增付费ARPPU
     */
    @ApiModelProperty(value = "新增付费ARPPU")
    private BigDecimal firstNewUserArppu;

    /**
     * 至今付费ARPPU
     */
    @ApiModelProperty(value = "至今付费ARPPU")
    private BigDecimal newUserTotalAmountArppu;

    /**
     * 新增付费100+用户数
     */
    @ApiModelProperty(value = "新增付费100+用户数")
    private Long firstNewUserHundredUserNum;

    /**
     * 新增付费200+用户数
     */
    @ApiModelProperty(value = "新增付费200+用户数")
    private Long firstNewUserTwoHundredUserNum;

    /**
     * 至今付费100+用户数
     */
    @ApiModelProperty(value = "至今付费100+用户数")
    private Long newUserTotalHundredUserNum;

    /**
     * 首充50~100元用户数
     */
    @ApiModelProperty(value = "首充50~100元用户数")
    private Long firstRechargeFiftyHundredNum;

    /**
     * 新增付费100+用户付费成本
     */
    @ApiModelProperty(value = "新增付费100+用户付费成本")
    private BigDecimal firstNewUserHundredUserCost;

    /**
     * 新增付费200+用户付费成本
     */
    @ApiModelProperty(value = "新增付费200+用户付费成本")
    private BigDecimal firstNewUserTwoHundredUserCost;

    /**
     * 至今付费100+用户付费成本
     */
    @ApiModelProperty(value = "至今付费100+用户付费成本")
    private BigDecimal newUserTotalHundredUserCost;

    /**
     * 首充50~100元占比
     */
    @ApiModelProperty(value = "首充50~100元占比")
    private BigDecimal firstRechargeFiftyHundredRate;

    /**
     * 首日IOS付费次数
     */
    @ApiModelProperty(value = "首日IOS付费次数")
    private Long firstIosAmountCount;

    /**
     * 首日IOS付费人数
     */
    @ApiModelProperty(value = "首日IOS付费人数")
    private Long firstIosAmountNum;

    /**
     * 首日IOS付费金额
     */
    @ApiModelProperty(value = "首日IOS付费金额")
    private BigDecimal firstIosAmount;

    /**
     * 首日Android付费次数
     */
    @ApiModelProperty(value = "首日Android付费次数")
    private Long firstAndroidAmountCount;

    /**
     * 首日Android付费人数
     */
    @ApiModelProperty(value = "首日Android付费人数")
    private Long firstAndroidAmountNum;

    /**
     * 首日Android付费金额
     */
    @ApiModelProperty(value = "首日Android付费金额")
    private BigDecimal firstAndroidAmount;

    /**
     * 首日IOS付费人数占比
     */
    @ApiModelProperty(value = "首日IOS付费人数占比")
    private BigDecimal firstIosAmountNumRate;

    /**
     * 首日IOS付费金额占比
     */
    @ApiModelProperty(value = "首日IOS付费金额占比")
    private BigDecimal firstIosAmountRate;

    /**
     * 首日IOS付费ROI
     */
    @ApiModelProperty(value = "首日IOS付费ROI")
    private BigDecimal firstIosAmountRoi;

    /**
     * 首日Android付费人数占比
     */
    @ApiModelProperty(value = "首日Android付费人数占比")
    private BigDecimal firstAndroidAmountNumRate;

    /**
     * 首日Android付费金额占比
     */
    @ApiModelProperty(value = "首日Android付费金额占比")
    private BigDecimal firstAndroidAmountRate;

    /**
     * 首日Android付费ROI
     */
    @ApiModelProperty(value = "首日Android付费ROI")
    private BigDecimal firstAndroidAmountRoi;

    /**
     * 首日付费率
     */
    @ApiModelProperty(value = "首日付费率")
    private BigDecimal firstAmountRate;

    /**
     * 新增客单价
     */
    @ApiModelProperty(value = "新增客单价")
    private BigDecimal firstNewUserAvgPrice;

    /**
     * 至今客单价
     */
    @ApiModelProperty(value = "至今客单价")
    private BigDecimal newUserTotalAvgPrice;

    /**
     * 计划ID，消耗时间的第1天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第1天新用户充值(不显示)")
    private BigDecimal d1;

    /**
     * 计划ID，消耗时间的第2天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第2天新用户充值(不显示)")
    private BigDecimal d2;

    /**
     * 计划ID，消耗时间的第3天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第3天新用户充值(不显示)")
    private BigDecimal d3;

    /**
     * 计划ID，消耗时间的第4天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第4天新用户充值(不显示)")
    private BigDecimal d4;

    /**
     * 计划ID，消耗时间的第5天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第5天新用户充值(不显示)")
    private BigDecimal d5;

    /**
     * 计划ID，消耗时间的第6天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第6天新用户充值(不显示)")
    private BigDecimal d6;

    /**
     * 计划ID，消耗时间的第7天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第7天新用户充值(不显示)")
    private BigDecimal d7;

    /**
     * 计划ID，消耗时间的第8天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第8天新用户充值(不显示)")
    private BigDecimal d8;

    /**
     * 计划ID，消耗时间的第9天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第9天新用户充值(不显示)")
    private BigDecimal d9;

    /**
     * 计划ID，消耗时间的第10天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第10天新用户充值(不显示)")
    private BigDecimal d10;

    /**
     * 计划ID，消耗时间的第11天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第11天新用户充值(不显示)")
    private BigDecimal d11;

    /**
     * 计划ID，消耗时间的第12天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第12天新用户充值(不显示)")
    private BigDecimal d12;

    /**
     * 计划ID，消耗时间的第13天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第13天新用户充值(不显示)")
    private BigDecimal d13;

    /**
     * 计划ID，消耗时间的第14天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第14天新用户充值(不显示)")
    private BigDecimal d14;

    /**
     * 计划ID，消耗时间的第15天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第15天新用户充值(不显示)")
    private BigDecimal d15;

    /**
     * 计划ID，消耗时间的第16天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第16天新用户充值(不显示)")
    private BigDecimal d16;

    /**
     * 计划ID，消耗时间的第17天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第17天新用户充值(不显示)")
    private BigDecimal d17;

    /**
     * 计划ID，消耗时间的第18天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第18天新用户充值(不显示)")
    private BigDecimal d18;

    /**
     * 计划ID，消耗时间的第19天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第19天新用户充值(不显示)")
    private BigDecimal d19;

    /**
     * 计划ID，消耗时间的第20天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第20天新用户充值(不显示)")
    private BigDecimal d20;

    /**
     * 计划ID，消耗时间的第21天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第21天新用户充值(不显示)")
    private BigDecimal d21;

    /**
     * 计划ID，消耗时间的第22天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第22天新用户充值(不显示)")
    private BigDecimal d22;

    /**
     * 计划ID，消耗时间的第23天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第23天新用户充值(不显示)")
    private BigDecimal d23;

    /**
     * 计划ID，消耗时间的第24天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第24天新用户充值(不显示)")
    private BigDecimal d24;

    /**
     * 计划ID，消耗时间的第25天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第25天新用户充值(不显示)")
    private BigDecimal d25;

    /**
     * 计划ID，消耗时间的第26天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第26天新用户充值(不显示)")
    private BigDecimal d26;

    /**
     * 计划ID，消耗时间的第27天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第27天新用户充值(不显示)")
    private BigDecimal d27;

    /**
     * 计划ID，消耗时间的第28天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第28天新用户充值(不显示)")
    private BigDecimal d28;

    /**
     * 计划ID，消耗时间的第29天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第29天新用户充值(不显示)")
    private BigDecimal d29;

    /**
     * 计划ID，消耗时间的第30天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第30天新用户充值(不显示)")
    private BigDecimal d30;

    /**
     * 付费趋势第1天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第1天总：金额/人数/增/回/倍(不显示)")
    private String da1;

    /**
     * 付费趋势第2天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第2天总：金额/人数/增/回/倍(不显示)")
    private String da2;

    /**
     * 付费趋势第3天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第3天总：金额/人数/增/回/倍(不显示)")
    private String da3;

    /**
     * 付费趋势第4天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第4天总：金额/人数/增/回/倍(不显示)")
    private String da4;

    /**
     * 付费趋势第5天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第5天总：金额/人数/增/回/倍(不显示)")
    private String da5;

    /**
     * 付费趋势第6天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第6天总：金额/人数/增/回/倍(不显示)")
    private String da6;

    /**
     * 付费趋势第7天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第7天总：金额/人数/增/回/倍(不显示)")
    private String da7;

    /**
     * 付费趋势第8天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第8天总：金额/人数/增/回/倍(不显示)")
    private String da8;

    /**
     * 付费趋势第9天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第9天总：金额/人数/增/回/倍(不显示)")
    private String da9;

    /**
     * 付费趋势第10天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第10天总：金额/人数/增/回/倍(不显示)")
    private String da10;

    /**
     * 付费趋势第11天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第11天总：金额/人数/增/回/倍(不显示)")
    private String da11;

    /**
     * 付费趋势第12天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第12天总：金额/人数/增/回/倍(不显示)")
    private String da12;

    /**
     * 付费趋势第13天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第13天总：金额/人数/增/回/倍(不显示)")
    private String da13;

    /**
     * 付费趋势第14天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第14天总：金额/人数/增/回/倍(不显示)")
    private String da14;

    /**
     * 付费趋势第15天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第15天总：金额/人数/增/回/倍(不显示)")
    private String da15;

    /**
     * 付费趋势第16天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第16天总：金额/人数/增/回/倍(不显示)")
    private String da16;

    /**
     * 付费趋势第17天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第17天总：金额/人数/增/回/倍(不显示)")
    private String da17;

    /**
     * 付费趋势第18天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第18天总：金额/人数/增/回/倍(不显示)")
    private String da18;

    /**
     * 付费趋势第19天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第19天总：金额/人数/增/回/倍(不显示)")
    private String da19;

    /**
     * 付费趋势第20天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第20天总：金额/人数/增/回/倍(不显示)")
    private String da20;

    /**
     * 付费趋势第21天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第21天总：金额/人数/增/回/倍(不显示)")
    private String da21;

    /**
     * 付费趋势第22天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第22天总：金额/人数/增/回/倍(不显示)")
    private String da22;

    /**
     * 付费趋势第23天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第23天总：金额/人数/增/回/倍(不显示)")
    private String da23;

    /**
     * 付费趋势第24天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第24天总：金额/人数/增/回/倍(不显示)")
    private String da24;

    /**
     * 付费趋势第25天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第25天总：金额/人数/增/回/倍(不显示)")
    private String da25;

    /**
     * 付费趋势第26天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第26天总：金额/人数/增/回/倍(不显示)")
    private String da26;

    /**
     * 付费趋势第27天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第27天总：金额/人数/增/回/倍(不显示)")
    private String da27;

    /**
     * 付费趋势第28天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第28天总：金额/人数/增/回/倍(不显示)")
    private String da28;

    /**
     * 付费趋势第29天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第29天总：金额/人数/增/回/倍(不显示)")
    private String da29;

    /**
     * 付费趋势第30天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第30天总：金额/人数/增/回/倍(不显示)")
    private String da30;

    /**
     * 次日数据
     */
    @ApiModelProperty(value = "次日:ROI/付费/倍数")
    private PromotionRechargeTrendVO d2Trend;

    /**
     * 3日数据
     */
    @ApiModelProperty(value = "3日:ROI/付费/倍数")
    private PromotionRechargeTrendVO d3Trend;

    /**
     * 7日数据
     */
    @ApiModelProperty(value = "7日:ROI/付费/倍数")
    private PromotionRechargeTrendVO d7Trend;

    /**
     * 15日数据
     */
    @ApiModelProperty(value = "15日:ROI/付费/倍数")
    private PromotionRechargeTrendVO d15Trend;


    /**
     * 注册人数 (应用下载广告数据-激活数)
     */
    @ApiModelProperty(value = "注册人数 (应用下载广告数据-激活数)")
    private Long active;

    /**
     * 注册成本 (应用下载广告数据-激活成本)
     */
    @ApiModelProperty(value = "注册成本 (应用下载广告数据-激活成本)")
    private BigDecimal activeCost;

    /**
     * 首日转化数 (转化数据-转化数)
     */
    @ApiModelProperty(value = "首日转化数 (转化数据-转化数)")
    private Long firstConvertCount;

    /**
     * 首日转化成本 (转化数据-转化成本)
     */
    @ApiModelProperty(value = "首日转化成本 (转化数据-转化成本)")
    private BigDecimal firstConvertCost;

    /**
     * 首次付费率 (应用下载广告数据-首次付费率)
     */
    @ApiModelProperty(value = "首次付费率 (应用下载广告数据-首次付费率)")
    private BigDecimal firstActivePayRate;

    /**
     * 首日付费金额(当日付费金额-所选时间范围内的激活用户，激活当日在APP内的付费金额)
     */
    @ApiModelProperty(value = "首日付费金额(当日付费金额-所选时间范围内的激活用户，激活当日在APP内的付费金额)")
    private BigDecimal firstAttributionGameInAppLtv1day;

    /**
     * 首日付费ROI (当日付费ROI)
     */
    @ApiModelProperty(value = "首日付费ROI (当日付费ROI)")
    private BigDecimal firstAttributionGameInAppRoi1day;

    /**
     * 付费次数 (应用下载广告数据-付费次数)
     */
    @ApiModelProperty(value = "付费次数 (应用下载广告数据-付费次数)")
    private Long gamePayCount;

    /**
     * 付费次数成本
     */
    @ApiModelProperty(value = "付费次数成本 = 消耗 / 付费次数")
    private BigDecimal gamePayCountCost;

    /**
     * ltv1 （首日付费金额（attribution_game_in_app_ltv1day） / 注册人数）
     */
    @ApiModelProperty(value = "ltv1 （首日付费金额（attribution_game_in_app_ltv1day） / 注册人数）")
    private BigDecimal ltvDay1;

    /**
     * ltv1(实际数据) （首日新用户充值金额 / 注册人数）
     */
    @ApiModelProperty(value = "ltv1(实际数据) （首日新用户充值金额 / 注册人数）")
    private BigDecimal ltvDay1ActualData;

    /**
     * 每日扣单数 （广告首日总订单数 - 应用下载广告数据-付费次数（game_pay_count））
     */
    @ApiModelProperty(value = "每日扣单数 （广告首日总订单数 - 应用下载广告数据-付费次数（game_pay_count））")
    private Long subOrderNum;

    /**
     * 每日扣单金额  （广告首日总金额 - 当日付费金额-所选时间范围内的激活用户，激活当日在APP内的付费金额（attribution_game_in_app_ltv1day） ）
     */
    @ApiModelProperty(value = "每日扣单金额  （广告首日总金额 - 当日付费金额-所选时间范围内的激活用户，激活当日在APP内的付费金额（attribution_game_in_app_ltv1day） ）")
    private BigDecimal subOrderAmount;

    //------------------------新增7日指标-----------------------------------------

    /**
     * 7日付费次数(广告)
     */
    @ApiModelProperty("7日付费次数（广告）")
    private Long attributionGamePay7dCount;

    /**
     * 七日人均付费次数（广告）
     */
    @ApiModelProperty("七日人均付费次数（广告）")
    private Long attributionActivePay7dPerCount;

    /**
     * 七日付费成本（广告）
     */
    @ApiModelProperty("七日付费成本（广告）")
    private BigDecimal attributionGamePay7dCost;

    /**
     * 七日付费次数
     */
    @ApiModelProperty("七日付费次数")
    private Long day7AmountCount;

    /**
     * 七日付费成本
     */
    @ApiModelProperty("七日付费成本")
    private BigDecimal day7AmountPerCost;

    /**
     * 七日人均付费次数
     */
    @ApiModelProperty("七日人均付费次数")
    private BigDecimal day7AmountPerCount;

    /**
     * 7日ARPU
     */
    @ApiModelProperty("7日ARPU")
    private BigDecimal day7Arpu;

    /**
     * 七日付费人数
     */
    @ApiModelProperty("七日付费人数")
    private Long day7AmountNum;

    /**
     * 七日付费金额
     */
    @ApiModelProperty("七日付费金额")
    private BigDecimal day7Amount;
    
}
