package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.util.Arrays;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-01-05
 * @description : 小程序消息
 */
@Data
public class KfAppletMsgDTO {

    /**
     * 回调事件消息
     */
    public static final String MSG_TYPE_EVENT = "event";

    /**
     * 用户进入会话事件
     */
    public static final String EVENT_USER_ENTER_TEMP_SESSION = "user_enter_tempsession";

    /**
     * 客服支付约定消息文本
     */
    public static final List<String> MSG_CONTENT_PAY = Arrays.asList("2", "CZ", "充值");

    /**
     * 开发者微信号
     */
    private String ToUserName;

    /**
     * 发送方帐号（一个OpenID）
     */
    private String FromUserName;

    /**
     * 消息创建时间 （整型）
     */
    private String CreateTime;

    /**
     * 消息类型，文本为text
     */
    private String MsgType;

    /**
     * 事件类型
     */
    private String Event;

    /**
     * 文本消息内容
     */
    private String Content;

    /**
     * 消息id，64位整型
     */
    private Long MsgId;

    /**
     * 图片素材id
     */
    private String MediaId;

    /**
     * 图片地址
     */
    private String PicUrl;

    /**
     * 标题
     */
    private String Title;

    /**
     * 小程序id
     */
    private String AppId;

    /**
     * 小程序路径
     */
    private String PagePath;

    /**
     * 小程序图片
     */
    private String ThumbUrl;

    /**
     * 小程序图片媒体id
     */
    private String ThumbMediaId;
}
