package com.zanxiang.game.module.manage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.module.manage.pojo.vo.GameSupperVO;
import com.zanxiang.game.module.manage.service.IGameSupperService;
import com.zanxiang.game.module.mybatis.entity.GameSupper;
import com.zanxiang.game.module.mybatis.mapper.GameSupperMapper;
import com.zanxiang.module.util.bean.BeanUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author : lingfeng
 * @time : 2023-09-12
 * @description : 超父游戏
 */
@Slf4j
@Service
public class GameSupperServiceImpl extends ServiceImpl<GameSupperMapper, GameSupper> implements IGameSupperService {

    @Override
    public List<GameSupperVO> getGameSupperList() {
        return super.list().stream()
                .map(gameSupper -> BeanUtil.copy(gameSupper, GameSupperVO.class))
                .collect(Collectors.toList());
    }
}
