package com.zanxiang.game.module.sdk.constant;

/**
 * @author : lingfeng
 * @time : 2022-06-08
 * @description : 缓存key前缀
 */
public class RedisKeyConstant {

    /**
     * 同步服务缓存统一前缀
     */
    private static final String REDIS_PREFIX = "game_sdk_";

    /**
     * 用户token缓存key
     */
    public static final String USER_TOKEN_KEY = RedisKeyConstant.REDIS_PREFIX + "user_token";

    /**
     * token缓存key
     */
    public static final String TOKEN_INFO_KEY = RedisKeyConstant.REDIS_PREFIX + "token_info";

    /**
     * 手机验证码缓存key
     */
    public static final String SMS_PHONE_KEY = RedisKeyConstant.REDIS_PREFIX + "sms_phone";

    /**
     * 角色信息更新
     */
    public static final String ROLE_CREATE_LOCK = RedisKeyConstant.REDIS_PREFIX + "role_create_lock_";

    /**
     * 角色信息更新
     */
    public static final String ROLE_LEVEL_UP = RedisKeyConstant.REDIS_PREFIX + "role_level_up_";

    /**
     * 小程序token
     */
    public static final String APPLET_ACCESS_TOKEN = RedisKeyConstant.REDIS_PREFIX + "applet_access_token_";

    /**
     * 订单过期缓存key
     */
    public static final String ORDER_EXPIRE = RedisKeyConstant.REDIS_PREFIX + "order_expire_";

    /**
     * 订单过期缓存锁
     */
    public static final String ORDER_EXPIRE_LOCK = RedisKeyConstant.REDIS_PREFIX + "order_expire_lock_";

    /**
     * 用户注册
     */
    public static final String USER_CREATE = RedisKeyConstant.REDIS_PREFIX + "user_create_";

    /**
     * 客服支付订单标记
     */
    public static final String GAME_CUSTOM_PAY_SIGN = "game_sdk_manage_custom_pay_sign_";

    /**
     * 获取支付参数锁
     */
    public static final String GET_PAY_PARAM_LOCK = RedisKeyConstant.REDIS_PREFIX + "get_pay_param_lock_";

    /**
     * 用户token创建锁
     */
    public static final String TOKEN_CREATE_LOCK = RedisKeyConstant.REDIS_PREFIX + "create_token_lock_";

}
